Viewing Issue Advanced Details Jump to Notes ] c64.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05750 DIP/Input Major Always Oct 20, 2014, 23:55 Jun 6, 2015, 20:42
Tester trebor View Status Public Platform MESS (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver c64.cpp
Version 0.155 Fixed in Version 0.163 Build Normal
Summary MESS-specific 05750: c64 - G. I. Joe - All Versions: G.I. Joe - No response from any Joy input directions
Description Game does not respond to any controller mappings directions. Only the fire button appears to respond. This is not a mapping or port issue as other games work perfectly such as Defender of the Crown, Boulder Dash (II), Pitfall II, etc.
Steps To Reproduce Load and Run "G.I. Joe". There is no response from controller up, down, left, right.
Additional Information
Flags
Regression Version
Affected Sets / Systems c64 - G. I. Joe - All Versions
Attached Files
 


-  Notes
User avatar
No.11125
NekoEd
(Senior Tester)
Oct 21, 2014, 00:03
Again, does this affect all systems in c64.c? Clarification is needed, please update your report.
User avatar
No.11127
trebor
(Tester)
Oct 21, 2014, 00:06
Specific to the NTSC C64 running this particular game.
User avatar
No.11129
NekoEd
(Senior Tester)
Oct 21, 2014, 00:11
Thank you. I have updated all three reports. In the future, please specify first in the "Affected systems" field the system or systems that are affected; this is very important!
User avatar
No.11156
trebor
(Tester)
Oct 22, 2014, 15:23
Here's the issue in a nutshell:

Real hardware & (Win)Vice:
Port #1 - No movement
Port #2 - Controls properly

MESS:
P1 Controls [=Slot Joy1] - No movement
P2 Controls [=Slot Joy2] - Not responding

Summary: "P2 Controls [=Slot Joy2]" is broken, not connected/hooked up, missing functionality.
User avatar
No.11717
trebor
(Tester)
Jun 6, 2015, 19:44
commit a2cadb6cf7adceb650ee2c97862692205680d8bb (patch) / SVN r38452
mos6526: Fixed port A/B read. [geecab]

See: http://forums.bannister.org/ubbthreads.php?ubb=showflat&Number=100021#Post100021

For that start of more details.

Joystick issue(s) fixed.
Game has been tested and confirmed fixed.